<!-- saved from url=(0022)http://internet.e-mail -->
<%@ page import="jet.cs.util.*, jet.server.api.http.*, jet.web.dhtml.*,
 jet.server.api.*, jet.server.jrc.*, jet.server.jrserver.*, java.util.*, java.io.*, jet.server.util.ServerUtil" %>
<%@ page errorPage="errorpage.jsp" %>
<%@ include file="AuthCheck.jsp" %>

<%
	String translate, query;
	PrintWriter pout;
	ServletOutputStream sout;
	HttpRptServer server;
	if (System.getProperty(APIConst.REMOTE_DISPATCHER) == null) {
		server = HttpUtil.getHttpRptServer(); 
	} else {
		server = RemoteDispatcherFactory.getInstance().getDispatchedServer(request);
	}
	SimpleDHtmlAPI service = server.getSimpleDHtmlService();
	HttpUserSessionManager umg = server.getHttpUserSessionManager();
	UserSession us = umg.getUserSession(request);
	
	Hashtable param = HttpUtil.getParameters(request);
	String reportid= (String)param.get("jrs.report_id");
	System.out.println("Remove report id..."+reportid);
	service.closeDHTMLReport(us.getID(), reportid);
	
  try{
  	java.util.List rptidList =  service.getReportsId(us.getID());
		for (int i = 0; i < rptidList.size(); i++){
  	     System.out.println("reportid:"+(String)rptidList.get(i));
  	}
  }catch(Exception e ){
      e.printStackTrace();
  }
%>
